> For the complete documentation index, see [llms.txt](https://www.cakewalk.security/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://www.cakewalk.security/docs/open-api-and-mcp/api-reference/applications.md).

# Applications

The WorkApps endpoints allow you to manage and investigate SaaS applications that Cakewalk discovers, connects to, or governs. These APIs support detailed visibility into app metadata, user access levels, permission schemas, and access governance policies.

They are especially useful for:

* Auditing who has access to what apps (and at what permission level)
* Assigning/removing access via API
* Controlling access request flows per app or permission level

***

### 📘 WorkApps Endpoints

<table><thead><tr><th width="287.6328125">Endpoint</th><th width="114.953125">Method</th><th width="102.8671875">Version<select><option value="pAwt80GOEHEW" label="v1" color="blue"></option></select></th><th>Description</th></tr></thead><tbody><tr><td><a href="/pages/G4ww7HGUpE28FVkdLwSm">/{version}/WorkApps</a></td><td>GET</td><td><span data-option="pAwt80GOEHEW">v1</span></td><td>Returns a list of all work apps visible to Cakewalk, including metadata like name, source, and sync status.</td></tr><tr><td><a href="/pages/OE7uEwz7o0VQHtCexbjK">/{version}/WorkApps/{workAppId}</a></td><td>GET</td><td><span data-option="pAwt80GOEHEW">v1</span></td><td>Retrieves detailed metadata for a specific app, such as its status, source system, and settings.</td></tr><tr><td><a href="/pages/IjxhjAzMjUxXCSAEStRz">/{version}/WorkApps/{workAppId}/Accesses</a></td><td>GET</td><td><span data-option="pAwt80GOEHEW">v1</span></td><td>Lists user-level access records for a given app, including user ID and assigned permission level.</td></tr><tr><td><a href="/pages/COUszw0LDPCfEKmSqbVP">/{version}/WorkApps/{workAppId}/PermissionLevels</a></td><td>GET</td><td><span data-option="pAwt80GOEHEW">v1</span></td><td>Returns the list of permission levels defined for the app (e.g., Viewer, Admin, Editor).</td></tr><tr><td><a href="/pages/vKPcxcznIb3ImZuCBjCF">/{version}/WorkApps/Accesses</a></td><td>POST</td><td><span data-option="pAwt80GOEHEW">v1</span></td><td>Bulk create or update user access records. Used to grant or sync access to an app programmatically.</td></tr><tr><td><a href="/pages/5KZcVBdwUprWNOfqa1EB">/{version}/WorkApps/{workAppId}/Policies/{requestType}</a></td><td>PUT</td><td><span data-option="pAwt80GOEHEW">v1</span></td><td>Update the app-wide policy for a specific request type (e.g., grant or remove access).</td></tr><tr><td><a href="/pages/zwKANRMZCSPwapuvcBST">/{version}/WorkApps/{workAppId}/PermissionLevels/{permissionLevelId}/Policies/{requestType}</a></td><td>PUT</td><td><span data-option="pAwt80GOEHEW">v1</span></td><td>Update the policy for a specific permission level within the app for a given request type.</td></tr><tr><td><a href="/pages/psbAcG9nQBu6g7Ihm5hg">/{version}/WorkApps/{workAppId}/CustomFields</a></td><td>GET</td><td><span data-option="pAwt80GOEHEW">v1</span></td><td>Returns the list of Custom Fields values for the app.</td></tr><tr><td><a href="/pages/l8qeovlcADkm9Nzr0oJl">/{version}/WorkApps/{workAppId}/CustomFields</a></td><td>PATCH</td><td><span data-option="pAwt80GOEHEW">v1</span></td><td>Bulk Update the app Custom Fields values.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://www.cakewalk.security/docs/open-api-and-mcp/api-reference/applications.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
